summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Binh Nguyen2010-12-26 14:53:03 +0100
committer Niels Horn2010-12-26 14:53:03 +0100
commit26d5ed53da1fc177d572efa5d9adc0dd366bba2c (patch)
tree28beb8814b0e67006dc10d6bce50de0baca25f25 /network
parent673feb10303c301c34bdd77a6cec20b4ea4d5916 (diff)
downloadslackbuilds-26d5ed53da1fc177d572efa5d9adc0dd366bba2c.tar.gz
network/sopcast: Added (Free P2P internet TV)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/sopcast/README15
-rw-r--r--network/sopcast/slack-desc19
-rw-r--r--network/sopcast/sopcast.SlackBuild72
-rw-r--r--network/sopcast/sopcast.info10
4 files changed, 116 insertions, 0 deletions
diff --git a/network/sopcast/README b/network/sopcast/README
new file mode 100644
index 0000000000..a97e0f03ea
--- /dev/null
+++ b/network/sopcast/README
@@ -0,0 +1,15 @@
+SopCast is a simple, free way to broadcast video and audio or watch
+the video and listen to radio on the Internet. Adopting P2P
+(Peer-to-Peer) technology, it is very efficient and easy to use. Let
+anyone become a broadcaster without the costs of a powerful server and
+vast bandwidth. You can build your own TV stations comparable with
+large commercial sites with minimal resources. Using SopCast, you can
+serve 10,000 online users with a personal computer and a home
+broadband connection.
+
+SoP is the abbreviation for Streaming over P2P. Sopcast is a Streaming
+Direct Broadcasting System based on P2P. The core is the communication
+protocol produced by Sopcast Team, which is named sop://, or SoP
+technology.
+
+For how to use the command, refer to Readme in documentation folder.
diff --git a/network/sopcast/slack-desc b/network/sopcast/slack-desc
new file mode 100644
index 0000000000..f1870f6f62
--- /dev/null
+++ b/network/sopcast/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sopcast: sopcast (Free P2P internet TV)
+sopcast:
+sopcast: SopCast is a simple, free way to broadcast video and audio or watch
+sopcast: the video and listen to radio on the Internet. Adopting P2P
+sopcast: (Peer-to-Peer) technology, it is very efficient and easy to use. Let
+sopcast: anyone become a broadcaster without the costs of a powerful server and
+sopcast: vast bandwidth. You can build your own TV stations comparable with
+sopcast: large commercial sites with minimal resources.
+sopcast:
+sopcast: Homepage: http://www.sopcast.com/
+sopcast:
diff --git a/network/sopcast/sopcast.SlackBuild b/network/sopcast/sopcast.SlackBuild
new file mode 100644
index 0000000000..6fa5dfa46f
--- /dev/null
+++ b/network/sopcast/sopcast.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for sopcast
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sopcast
+VERSION=${VERSION:-3.2.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i486
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf sp-auth
+tar xvf $CWD/sp-auth-$VERSION.tar.gz
+cd sp-auth
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Create a symlink with easier-to-remember name
+# point to the provided binary
+( cd $PKG/usr/bin ; ln -sf sp-sc sopcast )
+
+# We don't need this
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Readme $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/sopcast/sopcast.info b/network/sopcast/sopcast.info
new file mode 100644
index 0000000000..72b81fa4a2
--- /dev/null
+++ b/network/sopcast/sopcast.info
@@ -0,0 +1,10 @@
+PRGNAM="sopcast"
+VERSION="3.2.6"
+HOMEPAGE="http://www.sopcast.com/"
+DOWNLOAD="http://sopcast-player.googlecode.com/files/sp-auth-3.2.6.tar.gz"
+MD5SUM="a9dc8d223fe6bd05efb5b4f5cd599d1c"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="Niels Horn"